// pages/home/index.js
const imageCdn = 'https://tdesign.gtimg.com/miniprogram/images/';
const swiperList = [
  `${imageCdn}/swiper1.png`,
  `${imageCdn}/swiper2.png`,
  `${imageCdn}/swiper3.png`,
  `${imageCdn}/swiper4.png`,
  `${imageCdn}/swiper5.png`,
];

const app = getApp()
import api from '../api/api'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    current: 0,
    autoplay: false,
    duration: 500,
    interval: 5000,
    swiperList,
    list: [],
    pageNumber: 1,
    pageSize: 20,
    status: '待接单'
  },
  async listData() {
    const res = await api._post({
      "id": "20230208140203",
      "version": 1,
      "content": {
        "pageNumber": this.data.pageNumber,
        "pageSize": this.data.pageSize,
        "where": {
          "status": this.data.status,
          "condition": ""
        }
      }
    })
    if (res.data.length === 0) return false
    this.setData({
      list: this.data.list.concat(res.data)
    })
  },
  onTabsChange(e) {
    this.data.status = e.detail.label
    this.onPullDownRefresh()
  },
  onLoad(options) {
    this.listData()
  },
  onPullDownRefresh() {
    this.setData({
      pageNumber: 1,
      list: []
    })
    this.listData()
  },
  onReachBottom() {
    this.data.pageNumber++
    this.setData({
      pageNumber: this.data.pageNumber,
    })
    this.listData()
  },
})